KCMAP_COPY_TO_STRUCT(3)

FUNCTION
kcmap_copy_to_struct - Copy colour data from a colourmap.

SYNOPSIS
#include <karma_kcmap.h>

flag kcmap_copy_to_struct

(Kcolourmap cmap, packet_desc **top_pack_desc, char **top_packet)

DESCRIPTION
This routine will copy the colour data in a colourmap into a newly allocated Karma data structure. This data structure may be subsequently deallocated.

cmap
    The colourmap object.

top_pack_desc
    The pointer to the top level packet descriptor that is allocated will be written here.

top_packet
    The pointer to the top level packet that is allocated will be written here.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/